%define upstream_name    Lingua-EN-FindNumber
%define upstream_version 1.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Locate (written) numbers in English text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lingua::EN::Words2Nums)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a regular expression for finding numbers in English
text. It also provides functions for extracting and manipulating such
numbers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.320.0-2.mga6
+ Revision: 1029142
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.320.0-1.mga6
+ Revision: 1002074
- update to 1.32

* Fri Feb 19 2016 umeabot <umeabot> 1.310.0-2.mga6
+ Revision: 968340
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.310.0-1.mga6
+ Revision: 852030
- update to 1.31

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-3.mga5
+ Revision: 747791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-2.mga5
+ Revision: 685203
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 sander85 <sander85> 1.300.0-1.mga5
+ Revision: 638669
- update to 1.30

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 512573
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 369007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.200.0-1.mga3
+ Revision: 298160
- imported package perl-Lingua-EN-FindNumber


* Wed Sep 26 2012 cpan2dist 1.2-1mga
- initial mageia release, generated with cpan2dist
